package main.notepage;

/**
 * Abstract base class for all Notepage objects.
 * 
 * @author Wervyn
 * @version 1.0
 */
public abstract class NotepagePrimative {
	
	/** An class ID for the type of object implementing this class. */
	private String type;
	
	/**
	 * Default constructor.
	 * 
	 * @param type The class ID for this object.
	 */
	protected NotepagePrimative(String type) {
		this.type = type;
	}
	
	/**
	 * Get the object type.
	 * 
	 * @return The class ID for this object.
	 */
	public String getType() {
		return type;
	}
}
