import javax.swing.UIManager;

import main.*;
import main.notepage.NotepageUI;

/**
 * This is your basic application shell to launch the GUI. This will tie into
 * other pieces of the actual application once they're built.
 * 
 * @author Wervyn
 * @version 2.0
 */
public class NotebookApp {
	
	/**
	 * Standard program entry.
	 * 
	 * @param args Command line arguments
	 */
	public static void main(String[] args) {
		UIManager.put(NotepageUI.UI_CLASS_ID, "BasicNotepageUI");
		new MainWindow().start();
	}
}
